aln2html {bio3d} | R Documentation

## Create a HTML Page For a Given Alignment

### Description

Renders a sequence alignment as coloured HTML suitable for viewing with a web browser.

### Usage

    aln2html(aln, file="alignment.html", Entropy=0.5, append=TRUE,
             caption.css="color: gray; font-size: 9pt",
             caption="Produced by <a href=http://thegrantlab.org/bio3d/>Bio3D</a>",
             fontsize="11pt", bgcolor=TRUE, colorscheme="clustal")

### Arguments

`aln` | an alignment list object with `id` and `ali` components, similar to that generated by `read.fasta`.
`file` | name of output html file.
`Entropy` | conservation ‘cuttoff’ value below which alignment columns are not coloured.
`append` | logical, if TRUE output will be appended to `file`; otherwise, it will overwrite the contents of `file`.
`caption.css` | a character string of css options for rendering ‘caption’ text.
`caption` | a character string of text to act as a caption.
`fontsize` | the font size for alignment characters.
`bgcolor` | background colour.
`colorscheme` | conservation colouring scheme, currently only “clustal” is supported with alternative arguments resulting in an entropy shaded alignment.

### Value

Called for its effect.

### Note

Your web browser should support style sheets.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`read.fasta`, `write.fasta`, `seqaln`

### Examples

    ## Not run:
    ## Read an example alignment
    aln <- read.fasta(system.file("examples/hivp_xray.fa",package="bio3d"))

    ## Produce a HTML file for this alignment
    aln2html(aln, append=FALSE, file=file.path("eg.html"))
    aln2html(aln, colorscheme="ent", file="eg.html")
    ## View/open the file in your web browser
    #browseURL("eg.html")

    ## End(Not run)

[Package bio3d version 2.3-4 Index]